Story # 2134 (Closed): Update describe() method

Return serialVersion in describe response - add to describe response description

2011-12-13 03:45 - Dave Vieglais

Status: Closed Start date: 2011-12-13

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version: Sprint-2012.01-Block.1.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The serialVersion of the system metadata associated with the PID in a describe() request should be included in the response.

The value should be returned in a HTTP Header "DataONE-SerialVersion", e.g.:

curl -I http://mn1.dataone.org/mn/object/ABC123

HTTP/1.1 200 OK

Last-Modified: Wed, 16 Dec 2009 13:58:34 GMT

Content-Length: 10400

Content-Type: application/octet-stream

DataONE-ObjectFormat: eml://ecoinformatics.org/eml-2.0.1

DataONE-Checksum: SHA-1,2e01e17467891f7c933dbaa00e1459d23db3fe4f

DataONE-SerialVersion: 1234

History

#1 - 2011-12-13 04:11 - Dave Vieglais

- Status changed from New to Closed

Docs updated, revision r6173

#2 - 2011-12-13 19:05 - Ben Leinfelder

this was closed already...but I just did it. huh.
